Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ATIVertexArrayObject

    java.lang.Object
      org.lwjgl.opengl.ATIVertexArrayObject

    public final class ATIVertexArrayObject

extends java.lang.Object

Field Summary
`static int` | `GL_ARRAY_OBJECT_BUFFER_ATI`
`static int` | `GL_ARRAY_OBJECT_OFFSET_ATI`
`static int` | `GL_DISCARD_ATI`
`static int` | `GL_DYNAMIC_ATI`
`static int` | `GL_OBJECT_BUFFER_SIZE_ATI`
`static int` | `GL_OBJECT_BUFFER_USAGE_ATI`
`static int` | `GL_PRESERVE_ATI`
`static int` | `GL_STATIC_ATI`

Method Summary
`static void` | `glArrayObjectATI(int array, int size, int type, int stride, int buffer, int offset)`
`static void` | `glFreeObjectBufferATI(int buffer)`
`static void` | `glGetArrayObjectATI(int array, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetArrayObjectATI(int array, int pname, java.nio.IntBuffer params)`
`static void` | `glGetObjectBufferATI(int buffer, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetObjectBufferATI(int buffer, int pname, java.nio.IntBuffer params)`
`static void` | `glGetVariantArrayObjectATI(int id, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetVariantArrayObjectATI(int id, int pname, java.nio.IntBuffer params)`
`static boolean` | `glIsObjectBufferATI(int buffer)`
`static int` | `glNewObjectBufferATI(java.nio.ByteBuffer pPointer, int usage)`
`static int` | `glNewObjectBufferATI(java.nio.DoubleBuffer pPointer, int usage)`
`static int` | `glNewObjectBufferATI(java.nio.FloatBuffer pPointer, int usage)`
`static int` | `glNewObjectBufferATI(java.nio.IntBuffer pPointer, int usage)`
`static int` | `glNewObjectBufferATI(int size, int usage)`
`static int` | `glNewObjectBufferATI(java.nio.ShortBuffer pPointer, int usage)`
`static void` | `glUpdateObjectBufferATI(int buffer, int offset, java.nio.ByteBuffer pPointer, int preserve)`
`static void` | `glUpdateObjectBufferATI(int buffer, int offset, java.nio.DoubleBuffer pPointer, int preserve)`
`static void` | `glUpdateObjectBufferATI(int buffer, int offset, java.nio.FloatBuffer pPointer, int preserve)`
`static void` | `glUpdateObjectBufferATI(int buffer, int offset, java.nio.IntBuffer pPointer, int preserve)`
`static void` | `glUpdateObjectBufferATI(int buffer, int offset, java.nio.ShortBuffer pPointer, int preserve)`
`static void` | `glVariantArrayObjectATI(int id, int type, int stride, int buffer, int offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_STATIC_ATI

    public static final int GL_STATIC_ATI

See Also:
  Constant Field Values

### GL_DYNAMIC_ATI

    public static final int GL_DYNAMIC_ATI

See Also:
  Constant Field Values

### GL_PRESERVE_ATI

    public static final int GL_PRESERVE_ATI

See Also:
  Constant Field Values

### GL_DISCARD_ATI

    public static final int GL_DISCARD_ATI

See Also:
  Constant Field Values

### GL_OBJECT_BUFFER_SIZE_ATI

    public static final int GL_OBJECT_BUFFER_SIZE_ATI

See Also:
  Constant Field Values

### GL_OBJECT_BUFFER_USAGE_ATI

    public static final int GL_OBJECT_BUFFER_USAGE_ATI

See Also:
  Constant Field Values

### GL_ARRAY_OBJECT_BUFFER_ATI

    public static final int GL_ARRAY_OBJECT_BUFFER_ATI

See Also:
  Constant Field Values

### GL_ARRAY_OBJECT_OFFSET_ATI

    public static final int GL_ARRAY_OBJECT_OFFSET_ATI

See Also:
  Constant Field Values

Method Detail

### glNewObjectBufferATI

    public static int glNewObjectBufferATI(int size,
                                           int usage)

### glNewObjectBufferATI

    public static int glNewObjectBufferATI(java.nio.ByteBuffer pPointer,
                                           int usage)

### glNewObjectBufferATI

    public static int glNewObjectBufferATI(java.nio.DoubleBuffer pPointer,
                                           int usage)

### glNewObjectBufferATI

    public static int glNewObjectBufferATI(java.nio.FloatBuffer pPointer,
                                           int usage)

### glNewObjectBufferATI

    public static int glNewObjectBufferATI(java.nio.IntBuffer pPointer,
                                           int usage)

### glNewObjectBufferATI

    public static int glNewObjectBufferATI(java.nio.ShortBuffer pPointer,
                                           int usage)

### glIsObjectBufferATI

    public static boolean glIsObjectBufferATI(int buffer)

### glUpdateObjectBufferATI

    public static void glUpdateObjectBufferATI(int buffer,
                                               int offset,
                                               java.nio.ByteBuffer pPointer,
                                               int preserve)

### glUpdateObjectBufferATI

    public static void glUpdateObjectBufferATI(int buffer,
                                               int offset,
                                               java.nio.DoubleBuffer pPointer,
                                               int preserve)

### glUpdateObjectBufferATI

    public static void glUpdateObjectBufferATI(int buffer,
                                               int offset,
                                               java.nio.FloatBuffer pPointer,
                                               int preserve)

### glUpdateObjectBufferATI

    public static void glUpdateObjectBufferATI(int buffer,
                                               int offset,
                                               java.nio.IntBuffer pPointer,
                                               int preserve)

### glUpdateObjectBufferATI

    public static void glUpdateObjectBufferATI(int buffer,
                                               int offset,
                                               java.nio.ShortBuffer pPointer,
                                               int preserve)

### glGetObjectBufferATI

    public static void glGetObjectBufferATI(int buffer,
                                            int pname,
                                            java.nio.FloatBuffer params)

### glGetObjectBufferATI

    public static void glGetObjectBufferATI(int buffer,
                                            int pname,
                                            java.nio.IntBuffer params)

### glFreeObjectBufferATI

    public static void glFreeObjectBufferATI(int buffer)

### glArrayObjectATI

    public static void glArrayObjectATI(int array,
                                        int size,
                                        int type,
                                        int stride,
                                        int buffer,
                                        int offset)

### glGetArrayObjectATI

    public static void glGetArrayObjectATI(int array,
                                           int pname,
                                           java.nio.FloatBuffer params)

### glGetArrayObjectATI

    public static void glGetArrayObjectATI(int array,
                                           int pname,
                                           java.nio.IntBuffer params)

### glVariantArrayObjectATI

    public static void glVariantArrayObjectATI(int id,
                                               int type,
                                               int stride,
                                               int buffer,
                                               int offset)

### glGetVariantArrayObjectATI

    public static void glGetVariantArrayObjectATI(int id,
                                                  int pname,
                                                  java.nio.FloatBuffer params)

### glGetVariantArrayObjectATI

    public static void glGetVariantArrayObjectATI(int id,
                                                  int pname,
                                                  java.nio.IntBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.